<?php
 
 
 

namespace PhpWA\Protocol\Proto\InThreadSurveyMetadata;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class InThreadSurveyQuestion extends \Google\Protobuf\Internal\Message
{
    


    protected $questionText = null;
    


    protected $questionId = null;
    


    private $questionOptions;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getQuestionText()
    {
        return isset($this->questionText) ? $this->questionText : '';
    }

    public function hasQuestionText()
    {
        return isset($this->questionText);
    }

    public function clearQuestionText()
    {
        unset($this->questionText);
    }

    




    public function setQuestionText($var)
    {
        GPBUtil::checkString($var, True);
        $this->questionText = $var;

        return $this;
    }

    



    public function getQuestionId()
    {
        return isset($this->questionId) ? $this->questionId : '';
    }

    public function hasQuestionId()
    {
        return isset($this->questionId);
    }

    public function clearQuestionId()
    {
        unset($this->questionId);
    }

    




    public function setQuestionId($var)
    {
        GPBUtil::checkString($var, True);
        $this->questionId = $var;

        return $this;
    }

    



    public function getQuestionOptions()
    {
        return $this->questionOptions;
    }

    




    public function setQuestionOptions($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \PhpWA\Protocol\Proto\InThreadSurveyMetadata\InThreadSurveyOption::class);
        $this->questionOptions = $arr;

        return $this;
    }

}

